//+------------------------------------------------------------------+
//|                DayProjection.mq4                                 |
//|                Copyright  2006  Scorpion@fxfisherman.com        |
//+------------------------------------------------------------------+
#property copyright "FxFisherman.com"
#property link      "http://www.fxfisherman.com"

#property indicator_chart_window
#property indicator_buffers 6
#property indicator_color1 Blue
#property indicator_width1 2
#property indicator_color2 Red
#property indicator_width2 2
#property indicator_color3 Blue
#property indicator_width3 2
#property indicator_color4 Blue
#property indicator_width4 2
#property indicator_color5 Red
#property indicator_width5 2
#property indicator_color6 Blue
#property indicator_width6 2


extern int Weekday=1;
extern bool Hide_Day=true;
extern double Fibo = 23.6;
extern int Shift_Bars=0;
extern int Bars_Count=0;

//---- buffers
double vHiEntry[];
double vHi[];
double vHiSL[];
double vLoSL[];
double vLo[];
double vLoEntry[];
  
int init()
  {

   IndicatorBuffers(6);
  
   SetIndexDrawBegin(0,-1);
   SetIndexBuffer(0, vHiEntry);
   SetIndexLabel(0,"Hi Entry");
   
   SetIndexDrawBegin(1,-1);
   SetIndexBuffer(1, vHi);
   SetIndexLabel(1,"Hi");

   SetIndexDrawBegin(2,-1);
   SetIndexBuffer(2, vHiSL);
   SetIndexLabel(2,"Hi SL");

   SetIndexDrawBegin(3,-1);
   SetIndexBuffer(3, vLoEntry);
   SetIndexLabel(3,"Lo Entry");
   
   SetIndexDrawBegin(4,-1);
   SetIndexBuffer(4, vLo);
   SetIndexLabel(4,"Lo");

   SetIndexDrawBegin(5,-1);
   SetIndexBuffer(5, vLoSL);
   SetIndexLabel(5,"Lo SL");
   watermark();
 
   return(0);
  }

int start()
 {
  int i;
  int shift; 
  double hi=0;
  double lo;
  int prevDay=0;
  
  i = Bars_Count;
  if (i <= 0) i = Bars-1;
  
  while(i>=0)
   {
    shift = i + Shift_Bars;
    
    if (TimeDayOfWeek(Time[shift])==Weekday)
    {
      if (prevDay != Weekday) {
        hi = 0;
        lo = 0;
      }
      if (High[shift] > hi) hi = High[shift];
      if (Low[shift] < lo || lo == 0) lo = Low[shift];
    }
    
    if (TimeDayOfWeek(Time[shift])!=Weekday || !Hide_Day)
    {
      double pipsExtra = (hi - lo) * (Fibo/100);
      vHiEntry[i] = hi + pipsExtra;
      vHi[i] = hi;
      vHiSL[i] = hi - pipsExtra;
      vLoEntry[i] = lo - pipsExtra;
      vLo[i] = lo;
      vLoSL[i] = lo + pipsExtra;
    }
    
    prevDay = TimeDayOfWeek(Time[shift]);
    
    i--;
   }   
  return(0);
 }
 
//+------------------------------------------------------------------+

void watermark()
  {
   ObjectCreate("fxfisherman", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("fxfisherman", "fxfisherman.com", 11, "Lucida Handwriting", RoyalBlue);
   ObjectSet("fxfisherman", OBJPROP_CORNER, 2);
   ObjectSet("fxfisherman", OBJPROP_XDISTANCE, 5);
   ObjectSet("fxfisherman", OBJPROP_YDISTANCE, 10);
   return(0);
  }